evas::canvas3d::material Struct Reference

Public Member Functions | Static Public Member Functions
evas::canvas3d::material Struct Reference

Class material. More...

## Public Member Functions
| material (Eo *eo)
| Eo Constructor. More...
| material (std::nullptr_t)
| nullptr_t Constructor. More...
| material (material const &other)
| Copy Constructor.
void | color_set (Evas_Canvas3D_Material_Attrib attrib_, Evas_Real r_, Evas_Real g_, Evas_Real b_, Evas_Real a_) const
void | color_get (Evas_Canvas3D_Material_Attrib attrib_, Evas_Real *r_, Evas_Real *g_, Evas_Real *b_, Evas_Real *a_) const
bool | enable_get (Evas_Canvas3D_Material_Attrib attrib_) const
void | enable_set (Evas_Canvas3D_Material_Attrib attrib_, bool enable_) const
Evas_Real | shininess_get () const
void | shininess_set (Evas_Real shininess_) const
::evas::canvas3d::texture | texture_get (Evas_Canvas3D_Material_Attrib attrib_) const
void | texture_set (Evas_Canvas3D_Material_Attrib attrib_, ::evas::canvas3d::texture texture_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| material (::efl::eo::parent_type _p)
| Constructs a new evas::canvas3d::material object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
::eo::base | constructor () const
void | destructor () const
::eo::base | finalize () const
void | wref_add (::eo::base *wref_) const
void | wref_del (Eo_Base **wref_) const
void | key_data_set (::efl::eina::string_view key_, const void *data_) const
void * | key_data_get (::efl::eina::string_view key_) const
void | key_data_del (::efl::eina::string_view key_) const
void | event_thaw () const
void | event_freeze () const
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
void | event_callback_forwarder_add (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | event_callback_forwarder_del (const Eo_Event_Description *desc_, ::eo::base new_obj_) const
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
Eina_Iterator * | children_iterator_new () const
::eo::base | parent_get () const
void | parent_set (::eo::base parent_) const
int | event_global_freeze_count_get () const
int | event_freeze_count_get () const
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::canvas3d::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
void | change (Evas_Canvas3D_State state_, ::evas::canvas3d::object ref_) const
Evas_Canvas3D_Object_Type | type_get () const
void | type_set (Evas_Canvas3D_Object_Type type_) const
bool | dirty_get (Evas_Canvas3D_State state_) const
void | update () const
void | update_notify () const
void | change_notify (Evas_Canvas3D_State state_, ::evas::canvas3d::object ref_) const
void | callback_register (::efl::eina::string_view event_, const void *data_) const
void | callback_unregister (::efl::eina::string_view event_) const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_add_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_callback_del_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_clicked_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_clicked_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_collision_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_collision_call (T *info)
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_, ::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
template<typename T >
void | callback_del_call (T *info)
| object (::efl::eo::parent_type _p)
| Constructs a new evas::canvas3d::object object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
::evas::common_interface | evas_get () const
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_thaw ()
static void | event_global_freeze ()
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::canvas3d::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class material.

## Constructor & Destructor Documentation

## ◆ material() [1/3]

evas::canvas3d::material::material | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new evas::canvas3d::material object.

Constructs a new evas::canvas3d::material object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

evas::canvas3d::material my_material(efl::eo::parent = parent_object);

See also
  material(Eo* eo)

References efl::eo::parent.

## ◆ material() [2/3]

evas::canvas3d::material::material | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

## ◆ material() [3/3]

evas::canvas3d::material::material | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

## ◆ color_set()

void evas::canvas3d::material::color_set | ( | Evas_Canvas3D_Material_Attrib | attrib_,
|  | Evas_Real | r_,
|  | Evas_Real | g_,
|  | Evas_Real | b_,
|  | Evas_Real | a_
| ) |  | const

Parameters

  attrib |
  r |
  g |
  b |
  a |

## ◆ color_get()

void evas::canvas3d::material::color_get | ( | Evas_Canvas3D_Material_Attrib | attrib_,
|  | Evas_Real * | r_,
|  | Evas_Real * | g_,
|  | Evas_Real * | b_,
|  | Evas_Real * | a_
| ) |  | const

Parameters

  | attrib |
  [out] | r |
  [out] | g |
  [out] | b |
  [out] | a |